<?php
/*
 * This file is part of a larger software package. Please read the License file 
 * in the root of this installation for terms of usage and distribution.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * 
 * CORE: manage/tables/website_users.php - version 1.0
*/

$nAdminOnlyPg = 1;

// Secure and connect
require("../../inc/dbconnect.php");
require("../inc/secure_page.php");

// bring in other required files
require("../inc/plugins.php");
require("../inc/pluginutil.php");
require("../inc/pageutil.php");

// Get passed-in variables
$nWebsiteUserType = (isset($_GET["nWebsiteUserType"]) ? $_GET["nWebsiteUserType"] : NULL);
if(!$nWebsiteUserType){ $nWebsiteUserType = (isset($_POST["nWebsiteUserType"]) ? $_POST["nWebsiteUserType"] : NULL); }
$nMode = (isset($_GET["m"]) ? $_GET["m"] : NULL); // r = regular, m = mini

// Search params
$nParam = "";
if($nParam){ $nWhereSQL="AND"; } else { $nWhereSQL="WHERE"; }
if($nWebsiteUserType && $nWebsiteUserType!=0) { $nParam.="$nWhereSQL nWebsiteUserTypeID=$nWebsiteUserType"; }

// Defaults
if(!$nMode){ $nMode = "r"; }

// Get plugin inclusion points for list, and insert them in header
$nPluginListInclARRAY = nGetListPluginInclusions("WebsiteUsers");

// Setup header
$nColumnARRAY = array();
//if($nMode=="r"){ $nColumnARRAY["#Checkbox#"] = array("","","","vertical-align:middle;","{ \"sWidth\":\"31\", \"bSortable\":false }"); }
$nColumnARRAY["Name"] = array("","","","","");
$nColumnARRAY["Email"] = array("","","","","");
$nColumnARRAY["Username"] = array("","","","","");
$nColumnARRAY["Type"] = array("","","","text-align:center;","");

// Insert plugin inclusion points for list in header
$nColumnARRAY = nInsertPluginHdrIncl($nPluginListInclARRAY,$nColumnARRAY);
$nHeaderDataTableJS = nBuildHeaderDataTableJS($nColumnARRAY);

if($nMode=="r"){
?>
<script>
	$(function() {
	    // Initialize tables (if more than one per page, give it a second class for customization)
	    $('.dataTable').dataTable({
	        "sPaginationType": "full_numbers",
			"fnInfoCallback": function(oSettings){
	  			updateStyles();
			},
	        "bJQueryUI": true,
			"bStateSave": true,
			"aaSorting": [[ 1, "desc" ]],
			"aoColumns": [
				<?php echo $nHeaderDataTableJS;?>
			],
			"iDisplayLength": 20,
			"aLengthMenu": [[20, 50, 100, 200, -1], [20, 50, 100, 200, "All"]],
			"fnDrawCallback":function(){
				// Hide toolbar if showing less records than page-able
				if(this.fnSettings().fnRecordsTotal() <= this.fnSettings()._iDisplayLength){
					$('.dataTables_wrapper div.fg-toolbar').hide();
					$('.dataTables_wrapper').addClass("topBorder bottomBorder");
				} else {
					$('.dataTables_wrapper div.fg-toolbar').show();
				}
			}
	    });
	});
</script>

<?php } ?>

<form action="javascript:;" method="post" name="nListForm" id="nListForm" style="margin:0px;">
	<?php echo nGetWebsiteUsers()?>
</form>

<?php
function nGetWebsiteUserAmount() {
	global $DBName, $Link;
	global $nSearchQuery;
	$Query = "SELECT nID FROM nWebsiteUser $nSearchQuery";
	mysql_select_db($DBName); $Result = mysql_query($Query,$Link);
	$nCurrentRecord = 0;
	while ($Row = mysql_fetch_array($Result)) {
		$nCurrentRecord++;
	}
	return $nCurrentRecord;
}
function nGetWebsiteUsers(){
	global $DBName,$Link,$nParam,$nPluginListInclARRAY,$nColumnARRAY,$nMode;
	
	// added 2000 record limit to avoid incredibly long display times for high-record sets
	// future update should add dynamic (ajax-powered) datasets for better display times
	// http://datatables.net/usage/server-side
	
	$Query = "SELECT nID,nFirstName,nLastName,nEmail,nLoginUser,nWebsiteUserTypeID,nActive FROM nWebsiteUser $nParam ORDER BY nID DESC LIMIT 2000";
	mysql_select_db($DBName); $Result = mysql_query($Query,$Link); $nNumRec = mysql_num_rows($Result);
	
	$nTable = "";
	$nCurrentRecord = 1;
	
	if($nNumRec){
		// insert header and main listing table
		if($nMode=="r"){ $nTableClass = "dataTable"; } else { $nTableClass = "regular"; }
		$nHeaderCode = nBuildHeaderHTML($nColumnARRAY);
		$nTable.="<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" class=\"$nTableClass\">";
		$nTable.="<thead><tr class=\"listHdr\">$nHeaderCode</tr></thead>";
		
		while($Row = mysql_fetch_array($Result)){
			// Get data
			$nUserID = $Row["nID"];
			$nFullName = trim($Row["nFirstName"]." ".$Row["nLastName"]);
			$nEmail = $Row["nEmail"];
			$nLoginUser = $Row["nLoginUser"];
			$nWebsiteUserTypeID = $Row["nWebsiteUserTypeID"];
			$nActive = $Row["nActive"];
			
			// Format data
			if(!$nFullName){ $nFullName="&nbsp;"; }
			$nWebsiteUserTypeName = nGetWebsiteUserTypeName($nWebsiteUserTypeID);
			if($nWebsiteUserTypeID=="1"){ $nWebsiteUserTypeName = "<span class=\"green\">$nWebsiteUserTypeName</span>"; } else { $nWebsiteUserTypeName = "<span class=\"blue\">$nWebsiteUserTypeName</span>"; }
			
			// Setup row (data, width, align, class, style)
			$nColumnARRAY = array();
			//if($nMode=="r"){ $nColumnARRAY["#Checkbox#"] = array("<input type=\"checkbox\" name=\"item_$nCurrentRecord\" value=\"$nUserID\" onClick=\"updateItemText();\">","","","",""); }
			if($nMode=="r"){
				$nColumnARRAY["Name"] = array("<a href=\"dialog/website_user_modify.php?wu=$nUserID\" title=\"Edit Website User: ".addslashes(stripslashes($nFullName))."\" class=\"modal\">$nFullName</a>","","","","");
			} else {
				$nColumnARRAY["Name"] = array("<a href=\"dialog/website_user_modify.php?wu=$nUserID\" title=\"Edit Website User: ".addslashes(stripslashes($nFullName))."\" class=\"modal\">$nFullName</a>","","","","");
			}
			$nColumnARRAY["Email"] = array("$nEmail","","","","");
			$nColumnARRAY["Username"] = array("$nLoginUser","","","","");
			$nColumnARRAY["Type"] = array("$nWebsiteUserTypeName","","","","text-align:center;");
			
			// Get plugin inclusion points for list, and insert them in row
			$nColumnARRAY = nInsertPluginRowIncl($nPluginListInclARRAY,$nColumnARRAY,$nUserID);
			$nRowCode = nBuildRowHTML($nColumnARRAY);
			
			// Insert row
			$nTable.="<tr id=\"row$nUserID\">$nRowCode</tr>";
			$nCurrentRecord++;
		}
		// Insert footer
		if($nMode=="r"){ $nTable.= "</table>".nGetActionFooter()."<BR><BR>"; }
	} else {
		$nTable.= "<div style=\"text-align:center; padding:50px 0;\"><i>There are currently no users to display.</i></div>";
	}
	return $nTable;
}
function nGetActionFooter(){
	$nFooter = "<div style=\"padding:8px;\">\n";
	$nFooter.= "	<strong>With <strong id=\"itemAmount\">0</strong> items selected:</strong> \n";
	$nFooter.= "	<input type=\"button\" name=\"nRemove\" id=\"nRemove\" value=\" Remove \" onClick=\"editList('cust','remove');\" disabled> \n";
	$nFooter.= "	<input type=\"button\" name=\"nEdit\" id=\"nEdit\" value=\" Edit \" onClick=\"editList('cust','edit');\" disabled>\n";
	$nFooter.= "</div>\n";
	return $nFooter;
}
function nGetWebsiteUserTypeName($nID) {
	global $DBName, $Link;
	$Query = "SELECT nNameType FROM nWebsiteUserType WHERE nID=$nID LIMIT 1";
	mysql_select_db($DBName); $Result = mysql_query($Query,$Link);
	while ($Row = mysql_fetch_array($Result)) {
		$nWebsiteUserTypeName=$Row["nNameType"];
	}
	return $nWebsiteUserTypeName;
}
function nGetCustOrderCount($nCustID){
	global $DBName,$Link;
	$nCount = 0;
	$Query = "SELECT nID,nOrderNum FROM nOrderInfo WHERE nCustID=$nCustID";
	mysql_select_db($DBName); $Result = mysql_query($Query,$Link);
	while ($Row = mysql_fetch_array($Result)){
		$nCount++;
	}
	return $nCount;
}
function formatPhone($nPhone){
	if($nPhone){ $nPhone = preg_replace("/\D/","",$nPhone); }
	// if 7 chars, format like this: ###-####
	if(strlen($nPhone)==7){ return substr($nPhone,0,3)."-".substr($nPhone,3,4); }
	// if 10 chars, format like this: (###)###-####
	if(strlen($nPhone)==10){ return "(".substr($nPhone,0,3).") ".substr($nPhone,3,3)."-".substr($nPhone,6,4); }
	// if 11 chars, format like this: #(###)###-####
	if(strlen($nPhone)==11){ return substr($nPhone,0,1)." (".substr($nPhone,1,3).") ".substr($nPhone,4,3)."-".substr($nPhone,7,4); }
	return $nPhone;
}
?>
<?php
// disconnect from mysql
mysql_close($Link);
?>